escript::SystemMatrixException Class Reference

SystemMatrixException exception class. More...

`#include <SystemMatrixException.h>`

Inheritance diagram for escript::SystemMatrixException:

## Public Member Functions

| SystemMatrixException (const std::string &str)
virtual | ~SystemMatrixException () throw ()
| Destructor. More...
Public Member Functions inherited from escript::EsysException
| EsysException (const std::string &message)
| Constructor which creates an Exception with the given message. More...
virtual | ~EsysException () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Returns a description of the exception. More...

## Detailed Description

SystemMatrixException exception class.

Description: SystemMatrixException exception class. The class provides a public function returning the exception name

## Constructor & Destructor Documentation

## SystemMatrixException()

escript::SystemMatrixException::SystemMatrixException | ( | const std::string & | str | ) |

inline

## ~SystemMatrixException()

virtual escript::SystemMatrixException::~SystemMatrixException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Destructor.

The documentation for this class was generated from the following file:

- SystemMatrixException.h